### Compute2

Category

Transformation

Function

Evaluates an expression on each data point in a specified field or value list.

Syntax

    output = Compute2(expression, name, input, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`expression` | string | none | expression(s) to be computed
`name` | string | no default | name of input that follows (defaults to "a")
`input` | field or value list | no default | input value
`name1` | string | no default | name of input that follows (defaults to "b")
`input1` | field or value list | no default | input value
`...` | `...` | `...` | `...`

Outputs

Name | Type | Description
--- | --- | ---
`output` | field, value, or value list | output values

Functional Details

The primary advantage of this alternative form of Compute is that, in the user interface, `expression` is an input that can be provided by another tool (e.g., a selector interactor). All the functions of Compute (see Compute) are also functions of Compute2.

`expression` | is a mathematical expression to be evaluated for a set of `input` values. Table 1 lists the operators. This parameter is followed by one or more name-input pairs.
`name` | is name of the variable in the expression to be evaluated.
`input` | is the input to which `expression` is applied. If there are more than one, the input fields must be isomorphic (i.e., their hierarchies must match exactly).

A single Compute2 module can operate on a maximum of 21 `input` values. The default number of enabled input tabs is two. (Tabs can be added to the module icon and removed with the appropriate `Input/Output Tabs` options in the `Edit` pull-down menu of the VPE.)

Example Visual Programs

    ComputeMultiLine.net
    SIMPLE/Compute2.net

See Also

Compute

[ OpenDX Home at IBM | OpenDX.org ]